Debian Bug report logs - #672379
live-build-cron: unowned files after purge (policy 6.8, 10.8)

version graph

Package: live-build-cron; Maintainer for live-build-cron is (unknown);

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 10 May 2012 14:18:02 UTC

Severity: important

Found in versions live-build/3.0~a47-1, live-build/3.0~a48-1, live-build/3.0~a51-1

Fixed in versions live-build/3.0~a49-1, live-build/3.0~a52-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#672379; Package live-build-cron. (Thu, 10 May 2012 14:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 10 May 2012 14:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build-cron: unowned files after purge (policy 6.8, 10.8)
Date: Thu, 10 May 2012 16:10:18 +0200
[Message part 1 (text/plain, inline)]
Package: live-build-cron
Version: 3.0~a47-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8 (or 10.8):

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

>From the attached log (scroll to the bottom...):

0m23.9s ERROR: FAIL: Package purging left files on system:
  /etc/cron.d/live-build-cron-images	 not owned
  /etc/live/	 not owned
  /etc/live/build-cron.d/	 not owned
  /etc/live/build-cron.d/images.conf	 not owned
  /srv/debian.net/	 not owned
  /srv/debian.net/live-cdimage/	 not owned


cheers,

Andreas
[live-build-cron_3.0~a47-1.log.gz (application/x-gzip, attachment)]

Marked as found in versions live-build/3.0~a48-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 26 May 2012 01:57:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 10:36:28 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 04 Jun 2012 10:36:34 GMT) Full text and rfc822 format available.

Message #12 received at 672379-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 672379-close@bugs.debian.org
Subject: Bug#672379: fixed in live-build 3.0~a49-1
Date: Mon, 04 Jun 2012 10:33:51 +0000
Source: live-build
Source-Version: 3.0~a49-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a49-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a49-1_all.deb
live-build-cron_3.0~a49-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a49-1_all.deb
live-build_3.0~a49-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a49-1.debian.tar.gz
live-build_3.0~a49-1.dsc
  to main/l/live-build/live-build_3.0~a49-1.dsc
live-build_3.0~a49-1_all.deb
  to main/l/live-build/live-build_3.0~a49-1_all.deb
live-build_3.0~a49.orig.tar.gz
  to main/l/live-build/live-build_3.0~a49.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672379@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jun 2012 12:15:37 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a49-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 672379
Changes: 
 live-build (3.0~a49-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Correcting renaming of syslinux files in progress mode to actually
     work.
   * Naming resulting binary isohybrid image binary.hybrid.iso from now
     on for consistency with the different hdd images later on.
   * Moving firmware symlink creation to the end of binary_debian-
     installer in order to ensure to take only the latest packages into
     account that get into the image, regardless if they come from the
     archive or are localy included.
   * Cleaning http_proxy and ftp_proxy settings in chroot, people using
     apt proxies set them throught the apt pseudo-proxy options, and
     people using real proxies use config/environment.{chroot,binary} to
     set them.
   * Allowing to inject variables through config/environment.binary into
     the binary environment.
   * Allowing to use comments in config/environment.{binary,chroot}.
   * Removing pre-squeeze XORG_CONFIG variable from the chroot
     environment.
   * Don't bother supporting firmware on ubuntu, they seem to have a
     different archive structure.
   * Renaming config/binary_debian-installer-includes to
     config/includes.binary_debian-installer for consistency with the
     other include directories.
 .
   [ Ben Armstrong ]
   * Adding default for --debian-installer-preseedfile.
 .
   [ Daniel Baumann ]
   * Removing some more configuration files on purge (Closes: #672379).
   * Renaming internal .stage to .build for consistency within the
     configuration tree.
   * Adding grub-efi to static list of packages for the d-i pool for
     amd64.
   * Making firmware package assembling a bit more robust.
   * Updating cache directory names to consistent naming scheme.
   * Moving local includes from auto/{functions,scripts} to
     local/{functions,scripts} where they belong.
Checksums-Sha1: 
 7536778fdf94a5771aa6cac3c05aea16bd7e3b0e 1413 live-build_3.0~a49-1.dsc
 a69f09c883cb65e1eb8418f80dd894ab4a725ddc 1838917 live-build_3.0~a49.orig.tar.gz
 2f2c79dbad8dc0e6151c7f139b690edf8a31f1ca 65711 live-build_3.0~a49-1.debian.tar.gz
 ca8e1e176045b2e3ed5c8d8545a3aa7a8ac5c193 1159972 live-build_3.0~a49-1_all.deb
 bac4098462d6771dbb5d2b01d960c7e2f7dea421 68242 live-build-cgi_3.0~a49-1_all.deb
 2c1b079ea7e706d396d49b04d068748692997863 75758 live-build-cron_3.0~a49-1_all.deb
Checksums-Sha256: 
 38a170a3c72f75b55aefdd465a9d8a4d9376882da059ca26f32ebdf34c86d050 1413 live-build_3.0~a49-1.dsc
 f2cc796b7735593a73e58dbe98b65c512ede0a959a2e329b03386bc9a9355842 1838917 live-build_3.0~a49.orig.tar.gz
 b6806c9a92a31ed5949ab134c3b8c732f95c9e1cd954fcdb7f7a0c355f27a84e 65711 live-build_3.0~a49-1.debian.tar.gz
 781f6b039fcb1ec490f06a09a55c72ec4071ea36d81dd528a1bd65e59184c2dd 1159972 live-build_3.0~a49-1_all.deb
 8596922878b6385b535b6401fdf8c7dbe835bf1cd7be817c3d8cc601b719aa83 68242 live-build-cgi_3.0~a49-1_all.deb
 cefce2418c014312c5d4b87347e3459df1a8edf9ab9bcd88bd331a464987e40d 75758 live-build-cron_3.0~a49-1_all.deb
Files: 
 b2940edb3e07b4068bb6e4aded6037e1 1413 misc optional live-build_3.0~a49-1.dsc
 ae06deb2d3891c314195ffca6865222c 1838917 misc optional live-build_3.0~a49.orig.tar.gz
 22085a2a197da0a18d51c7e379a6a7d9 65711 misc optional live-build_3.0~a49-1.debian.tar.gz
 8292c0a86bf536a754413338b2602bd8 1159972 misc optional live-build_3.0~a49-1_all.deb
 8495a0eb05c524423e7d0015c9bb10e5 68242 misc optional live-build-cgi_3.0~a49-1_all.deb
 136b469eab4045ebc6561aab5ce40c35 75758 misc optional live-build-cron_3.0~a49-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/MjAoACgkQ+C5cwEsrK57uWgCdFgM9uVzDiuGTZ37tajWiSjIb
dOcAn2keuendMv8OBRbqa3XNddZEKXDw
=/53I
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#672379; Package live-build-cron. (Sat, 30 Jun 2012 20:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 30 Jun 2012 20:09:07 GMT) Full text and rfc822 format available.

Message #17 received at 672379@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <672379@bugs.debian.org>
Subject: Re: live-build-cron: unowned files after purge (policy 6.8, 10.8)
Date: Sat, 30 Jun 2012 22:06:24 +0200
Source: live-build-cron
Followup-For: Bug #672379

Hi,

the new release 3.0~a51-1 still leaves some directories after purge:

0m39.0s ERROR: FAIL: Package purging left files on system:
  /srv/debian.net/	 not owned
  /srv/debian.net/live-cdimage/	 not owned

Andreas




Marked as found in versions live-build/3.0~a51-1 and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:15 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 18 Jul 2012 21:33:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 18 Jul 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #24 received at 672379-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 672379-close@bugs.debian.org
Subject: Bug#672379: fixed in live-build 3.0~a52-1
Date: Wed, 18 Jul 2012 21:32:20 +0000
Source: live-build
Source-Version: 3.0~a52-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672379@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jul 2012 22:46:55 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a52-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
Closes: 672379 680763
Changes: 
 live-build (3.0~a52-1) unstable; urgency=low
 .
   * Improving error message in lb wrapper to show the command in case of
     a missing command.
   * Adding svg splash for syslinux bootloaders.
   * Adding dynamic informations into the splash and creating the png
     export at build time.
   * Truncating udev persistent net rules in remove-udev-persistent-
     rules.chroot hook rather than to remove them (Closes: #680763).
   * Removing discontinued live-build-cron autobuilder (Closes: #672379).
   * Updating dhcp packages in rescue package list to avoid transitional
     packages for squeeze and up.
   * Marking libguytools1 as squeeze only in rescue package list.
   * Marking ddrescue as squeeze-only in rescue list.
   * Using clamav-data for squeeze and clamav-freshclam for wheezy/sid in
     rescue list.
   * Applying patch from Steven Shiau <steven@nchc.org.tw> to
     conditionally copy /etc/apt/secring.gpg* files.
   * Renaming net flavour to netboot for consistency.
   * Adding support for zsync control files generation, thanks to Hector
     Oron <hector.oron@gmail.com> for the idea and prototype.
   * Adding xz as valid compression format.
   * Using xz to compress images on anything except squeeze, keeping gzip
     as default for squeeze.
   * Removing spurious lb_source_netboot, there's not such thing as a
     netboot specific source tarball anyway.
   * Handle multiple version numbers when having more than one linux
     flavours for splash.svg post-processing.
   * Adding support for pinning preferences files in
     config/archives/*.pref{.chroot,.binary}.
   * Updating splash.svg handling for unchrooted and chrooted builds.
   * Decrufting version flag.
   * Correcting live-build and live-boot versions for splash.svg post-
     processing.
   * Also removing zsync files in lb clean.
   * Slightly updating strings in splash.svg for better organization of
     the information presented.
   * Adding extlinux bootloader configuration files.
   * Correcting freudian typo in package check for chroot filesystems
     dependencies in binary_rootfs.
   * Adding support for ntfs as binary filesystem when using syslinux.
   * Updating squeeze point-release number.
   * Setting initial release number for wheezy.
   * Correcting spelling typo of ubuntus 12.10 codename.
   * Correcting some distribution specific checks to make them
     derivatives compliant.
   * Enabling security archives on wheezy.
Checksums-Sha1: 
 b3ab98442125bf56c417b60066fde0eb4f7e5edc 1329 live-build_3.0~a52-1.dsc
 39ced4671dfc1201dc4974100455ee6a67631344 944484 live-build_3.0~a52.orig.tar.xz
 3721bbbd7f472ca7b74fbf5856505d19dc85e4ae 45344 live-build_3.0~a52-1.debian.tar.xz
 6a0b06151a9b4b1baa33ff5047b65bd2463b08e1 1018604 live-build_3.0~a52-1_all.deb
 13d7bf4e8ba6cbe727d50dee62cdc408e06f07ed 68638 live-build-cgi_3.0~a52-1_all.deb
Checksums-Sha256: 
 4d87f3a4d3f96fa71ea03684278e669766817afe97173330816bef4325322a1a 1329 live-build_3.0~a52-1.dsc
 f6392c3e34091738c2fe0870f433b01f18bc2d515ab71d72db02430be479b9ce 944484 live-build_3.0~a52.orig.tar.xz
 80744c2c4b586b896b294c8653041f3b2fa7ae039eba3a20bc4487a4b32ac752 45344 live-build_3.0~a52-1.debian.tar.xz
 16f8116efd51aa9d0f0693ef02fa568097de486447db51cbc9fc86ab8245d9d7 1018604 live-build_3.0~a52-1_all.deb
 bfb0f7d62fc170148f5dcb2568f89f07a9ccec2c7f702b60dc4a9c2ec41651f4 68638 live-build-cgi_3.0~a52-1_all.deb
Files: 
 dc23226d6382028d808863856176ddef 1329 misc optional live-build_3.0~a52-1.dsc
 1af3de37dc87aa5486fc33da1748b1f0 944484 misc optional live-build_3.0~a52.orig.tar.xz
 fd5466595a01d5653e2cf80844f2cb7e 45344 misc optional live-build_3.0~a52-1.debian.tar.xz
 2f7186231da836f6c4a7d5f636588650 1018604 misc optional live-build_3.0~a52-1_all.deb
 c15193562fa66b5ec9e9aea21afe8648 68638 misc optional live-build-cgi_3.0~a52-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAHKnkACgkQ+C5cwEsrK57HqQCcCy60tIcc00K49uJsi026S1aC
hecAoMOwftHSTU0HBeIeooOqgKyM7YkV
=lB8s
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:28:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:04:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.